---
title: pydo.volume_snapshots.create()
description: Create Snapshot from a Volume
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/volume_snapshots/create/
last_updated: "2026-10-01"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.volume_snapshots.create()

Generated on 1 Oct 2026 from `pydo` version [`v0.43.0`](https://github.com/digitalocean/pydo/releases/tag/v0.43.0v0.43.0)

## Usage

```python
client.volume_snapshots.create(
    volume_id="7724db7c-e098-11e5-b522-000f53304e51",
    body={
        "name": "big-data-snapshot1475261774",
        "tags": [...],
    },
)
```

Returns `JSON`Raises `HttpResponseError`

## Description

To create a snapshot from a volume, sent a POST request to [`/v2/volumes/{volume_id}/snapshots`](https://docs.digitalocean.com/reference/api/reference/block-storage/index.html.md#volumeSnapshots_create).

## Parameters

`volume_id` string required

The ID of the block storage volume.

`name` string required

Example: `big-data-snapshot1475261774`

A human-readable name for the volume snapshot.

`tags` array of strings or null optional

Example: `['base-image', 'prod']`

A flat array of tag names as strings to be applied to the resource. Tag names may be for either existing or new tags.

Requires `tag:create` scope.

## Request Sample

## Show Request Sample

```python
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "name": "big-data-snapshot1475261774"
}

resp = client.volume_snapshots.create(volume_id="da3aa3a", body=req)
```

## Response Example

## Show Response Example

```json
{
  "snapshot": {
    "id": "8fa70202-873f-11e6-8b68-000f533176b1",
    "name": "big-data-snapshot1475261774",
    "regions": [
      "nyc1"
    ],
    "created_at": "2020-09-30T18:56:14Z",
    "resource_id": "82a48a18-873f-11e6-96bf-000f53315a41",
    "resource_type": "volume",
    "min_disk_size": 10,
    "size_gigabytes": 10,
    "tags": [
      "aninterestingtag"
    ]
  }
}
```

## More Information

See [`/v2/volumes/{volume_id}/snapshots`](https://docs.digitalocean.com/reference/api/reference/block-storage/index.html.md#volumeSnapshots_create) in the API reference for additional detail on responses, headers, parameters, and more.